# xarray.DataArray.reset_index

`DataArray.``reset_index`(dims_or_levels, drop=False, inplace=False)

  Reset the specified index(es) or multi-index level(s).

  Parameters:

  dims_or_levels : str or list

  > Name(s) of the dimension(s) and/or multi-index level(s) that will be reset.

  drop : bool, optional

  > If True, remove the specified indexes and/or multi-index levels instead of extracting them as new coordinates (default: False).

  inplace : bool, optional

  > If True, modify the dataarray in-place. Otherwise, return a new DataArray object.

  Returns:

  obj : DataArray

  > Another dataarray, with this dataarray’s data but replaced coordinates.

  See also

  `DataArray.set_index`